//----------------------------------------------------------------------------
/*
 * File: apputils.h
 * - header file for apputils.c
 * 
 * Part of Emulation of PMD 32 drive.
 * Based on MMC/SD/SDHC card library by Roland Riegel
 *   - http://www.roland-riegel.de/sd-reader/
 *
 * Author: Roman Brik { pmd85emu (at) gmail.com }
 * Web: http://pmd85.borik.net
 * Date: 10 Oct 2009
 * Version 2.0
*/
//----------------------------------------------------------------------------
#ifndef __APPUTIL_H__
#define __APPUTIL_H__
//----------------------------------------------------------------------------
#include <inttypes.h>
#include <string.h>
#include <avr/io.h>
#include <avr/pgmspace.h>
//----------------------------------------------------------------------------
char* apputil_trim_left(char *in_out);
char* apputil_trim_right(char *in_out);
char* apputil_trim(char *in_out);
char* apputil_left_text(char *out, const char *in, uint8_t width);
char* apputil_right_text(char *out, const char *in, uint8_t width);
char* apputil_center_text(char *out, const char *in, uint8_t width);
char* apputil_left_text_p(char *out, PGM_P in, uint8_t width);
char* apputil_right_text_p(char *out, PGM_P in, uint8_t width);
char* apputil_center_text_p(char *out, PGM_P in, uint8_t width);
char* apputil_to_dec(char *out, uint32_t val, char fill, uint8_t minwidth);
char* apputil_to_hex(char *out, uint32_t val, char fill, uint8_t minwidth);
char* apputil_extract_file_name(char *out, uint8_t max, const char *in);
uint8_t apputil_check_file_ext_p(char *file_name, PGM_P ext);
uint8_t apputil_check_file_ext(char *file_name, char *ext);
//----------------------------------------------------------------------------
#endif
//----------------------------------------------------------------------------
