//----------------------------------------------------------------------------
/*
 * File: btn.h
 * - header file for btn.c
 * 
 * Part of Emulation of PMD 32 drive.
 * Based on MMC/SD/SDHC card library by Roland Riegel
 *   - http://www.roland-riegel.de/sd-reader/
 *
 * Author: Roman Brik { pmd85emu (at) gmail.com }
 * Web: http://pmd85.borik.net
 * Date: 10 Oct 2009
 * Version 2.0
*/
//----------------------------------------------------------------------------
#ifndef __BTN_H__
#define __BTN_H__
//----------------------------------------------------------------------------
#define BTN_PORT_CTRL           DDRA
#define BTN_PORT_DATA           PORTA
#define BTN_PORT_PIN            PINA

#define BTN_CANCEL              _BV(3)
#define BTN_SET                 _BV(1)
#define BTN_LEFT                _BV(2)
#define BTN_RIGHT               _BV(0)

// button pins as input
#define BTN_PORT_DIR            ~(BTN_SET | BTN_CANCEL | BTN_LEFT | BTN_RIGHT)
// pull-up must be connected
#define BTN_PORT_PUP            (BTN_SET | BTN_CANCEL | BTN_LEFT | BTN_RIGHT)
// all buttons relesased
#define BTN_ALL_UP              (BTN_SET | BTN_CANCEL | BTN_LEFT | BTN_RIGHT)
// button must be held at least 100 ms
#define BTN_MIN_DELAY           (100 / TIMER_INTERVAL_MS)

//----------------------------------------------------------------------------
void btn_init(void);
void btn_set_bl_off_delay(uint8_t sec);
uint8_t btn_test(void);
uint8_t btn_read(void);
//----------------------------------------------------------------------------
#endif
//----------------------------------------------------------------------------
