//----------------------------------------------------------------------------
/*
 * File: pgm_strings.c
 * - declarations of strings in program memory
 * 
 * Part of Emulation of PMD 32 drive.
 * Based on MMC/SD/SDHC card library by Roland Riegel
 *   - http://www.roland-riegel.de/sd-reader/
 *
 * Author: Roman Brik { pmd85emu (at) gmail.com }
 * Web: http://pmd85.borik.net
 * Date: 10 Oct 2009
 * Version 2.0
*/
//----------------------------------------------------------------------------
#include "pgm_strings.h"
//----------------------------------------------------------------------------
// application version
char pstr_app_title[]                     PROGMEM = "PMD 32-SD";
char pstr_app_version[]                   PROGMEM = "v2.0";
char pstr_app_builddate[]                 PROGMEM = "10 Oct 2009";

// PMD 32 menu
char pstr_pmd32_menu_title[]              PROGMEM = "PMD 32-SD Menu";
char pstr_pmd32_menu_0[]                  PROGMEM = "Drive A:";
char pstr_pmd32_menu_1[]                  PROGMEM = "Drive B:";
char pstr_pmd32_menu_2[]                  PROGMEM = "Drive C:";
char pstr_pmd32_menu_3[]                  PROGMEM = "Drive D:";
char pstr_pmd32_menu_4[]                  PROGMEM = "Create new image";
char pstr_pmd32_menu_5[]                  PROGMEM = "Backlight set-up";

// Backlight set-up menu
char pstr_blt_menu_0[]                    PROGMEM = "Always off";
char pstr_blt_menu_1[]                    PROGMEM = "Always on";
char pstr_blt_menu_2[]                    PROGMEM = "Auto-off  5 s";
char pstr_blt_menu_3[]                    PROGMEM = "Auto-off 10 s";
char pstr_blt_menu_4[]                    PROGMEM = "Auto-off 20 s";
char pstr_blt_menu_5[]                    PROGMEM = "Auto-off 40 s";
char pstr_blt_menu_6[]                    PROGMEM = "Auto-off 60 s";

// errors
char pstr_err_insert_card[]               PROGMEM = "Insert SD Card";
char pstr_err_init_card[]                 PROGMEM = "Card init error!";
char pstr_err_card_locked[]               PROGMEM = "SD Card Locked!";
char pstr_err_partition[]                 PROGMEM = "Partition error!";
char pstr_err_fat[]                       PROGMEM = "FAT error!";
char pstr_err_create_file[]               PROGMEM = "Create file err!";
char pstr_err_config_not_found[]          PROGMEM = "Config missing!";
char pstr_err_config_read[]               PROGMEM = "Config read err!";
char pstr_err_config_corrupted[]          PROGMEM = "Config corrupted";
char pstr_err_unknown_image[]             PROGMEM = "Unknown img type";

// others
char pstr_pmd32_ready[]                   PROGMEM = "PMD 32-SD Ready";
char pstr_pmd32_remove_0[]                PROGMEM = "SD Card can be";
char pstr_pmd32_remove_1[]                PROGMEM = "safely removed";
char pstr_any_button[]                    PROGMEM = "Press any button";
char pstr_wait_please[]                   PROGMEM = "Wait please!";
char pstr_manage_drive[]                  PROGMEM = "<=Rem >=Ins E=WP";
char pstr_select_directory[]              PROGMEM = "Select directory";
char pstr_select_image[]                  PROGMEM = "Select image";
char pstr_enter_image_name[]              PROGMEM = "Enter image name";
char pstr_empty[]                         PROGMEM = "<empty>";
char pstr_root[]                          PROGMEM = "<root>";
char pstr_no_files_folders[]              PROGMEM = "No files/folders";
char pstr_path_too_long[]                 PROGMEM = "Path too long!";

char pstr_cfg_file_name[]                 PROGMEM = "images.cfg";

//----------------------------------------------------------------------------
