//----------------------------------------------------------------------------
/*
 * File: pgm_strings.h
 * - header file for pgm_strings.c
 * 
 * Part of Emulation of PMD 32 drive.
 * Based on MMC/SD/SDHC card library by Roland Riegel
 *   - http://www.roland-riegel.de/sd-reader/
 *
 * Author: Roman Brik { pmd85emu (at) gmail.com }
 * Web: http://pmd85.borik.net
 * Date: 10 Oct 2009
 * Version 2.0
*/
//----------------------------------------------------------------------------
#ifndef __PGM_STRINGS_H__
#define __PGM_STRINGS_H__
//----------------------------------------------------------------------------
#include <avr/pgmspace.h>
//----------------------------------------------------------------------------
// application version
extern char pstr_app_title[]                     PROGMEM;
extern char pstr_app_version[]                   PROGMEM;
extern char pstr_app_builddate[]                 PROGMEM;

// PMD 32 menu
extern char pstr_pmd32_menu_title[]              PROGMEM;
extern char pstr_pmd32_menu_0[]                  PROGMEM;
extern char pstr_pmd32_menu_1[]                  PROGMEM;
extern char pstr_pmd32_menu_2[]                  PROGMEM;
extern char pstr_pmd32_menu_3[]                  PROGMEM;
extern char pstr_pmd32_menu_4[]                  PROGMEM;
extern char pstr_pmd32_menu_5[]                  PROGMEM;

// Backlight set-up menu
extern char pstr_blt_menu_0[]                    PROGMEM;
extern char pstr_blt_menu_1[]                    PROGMEM;
extern char pstr_blt_menu_2[]                    PROGMEM;
extern char pstr_blt_menu_3[]                    PROGMEM;
extern char pstr_blt_menu_4[]                    PROGMEM;
extern char pstr_blt_menu_5[]                    PROGMEM;
extern char pstr_blt_menu_6[]                    PROGMEM;

// errors
extern char pstr_err_insert_card[]               PROGMEM;
extern char pstr_err_init_card[]                 PROGMEM;
extern char pstr_err_card_locked[]               PROGMEM;
extern char pstr_err_partition[]                 PROGMEM;
extern char pstr_err_fat[]                       PROGMEM;
extern char pstr_err_create_file[]               PROGMEM;
extern char pstr_err_config_not_found[]          PROGMEM;
extern char pstr_err_config_read[]               PROGMEM;
extern char pstr_err_config_corrupted[]          PROGMEM;
extern char pstr_err_unknown_image[]             PROGMEM;

// others
extern char pstr_pmd32_ready[]                   PROGMEM;
extern char pstr_pmd32_remove_0[]                PROGMEM;
extern char pstr_pmd32_remove_1[]                PROGMEM;
extern char pstr_any_button[]                    PROGMEM;
extern char pstr_wait_please[]                   PROGMEM;
extern char pstr_manage_drive[]                  PROGMEM;
extern char pstr_select_directory[]              PROGMEM;
extern char pstr_select_image[]                  PROGMEM;
extern char pstr_enter_image_name[]              PROGMEM;
extern char pstr_empty[]                         PROGMEM;
extern char pstr_root[]                          PROGMEM;
extern char pstr_no_files_folders[]              PROGMEM;
extern char pstr_path_too_long[]                 PROGMEM;

extern char pstr_cfg_file_name[]                 PROGMEM;

//----------------------------------------------------------------------------
#endif
//----------------------------------------------------------------------------
